<component name="InspectionProjectProfileManager">
    <profile version="1.0">
        <option name="myName" value="Project Default" />
        <inspection_tool class="AbstractClassExtendsConcreteClass" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AbstractClassNeverImplemented" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AbstractMethodOverridesConcreteMethod" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AbstractMethodWithMissingImplementations" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AbstractValueInTrait" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AccessToNonThreadSafeStaticFieldFromInstance" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="nonThreadSafeClasses">
                <value />
            </option>
            <option name="nonThreadSafeTypes" value="" />
        </inspection_tool>
        <inspection_tool class="AccessToStaticFieldLockedOnInstance" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoredClasses">
                <set>
                    <option value="org.slf4j.Logger" />
                </set>
            </option>
        </inspection_tool>
        <inspection_tool class="AddConversionCallMigration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AmbiguousExpressionInWhenBranchMigration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AmbiguousMethodCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="Annotator" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="AnonymousClassVariableHidesContainingMethodVariable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AnonymousFunctionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ArrayCanBeReplacedWithEnumValues" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ArrayCreationWithoutNewKeyword" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="ArrayEquality" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AsciiDocDescriptionExists" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssertEqualsCalledOnArray" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssertEqualsMayBeAssertSame" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssertMessageNotString" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssertsWithoutMessagesTestNG" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssignmentResultUsedJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssignmentToForLoopParameter" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_checkForeachParameters" value="true" />
        </inspection_tool>
        <inspection_tool class="AssignmentToForLoopParameterJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssignmentToFunctionParameterJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssignmentToLambdaParameter" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AssignmentToSuperclassField" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AutoCloseableResource" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="METHOD_MATCHER_CONFIG" value="java.util.Formatter,format,java.io.Writer,append,com.google.common.base.Preconditions,checkNotNull,org.hibernate.Session,close,java.io.PrintWriter,printf,javax.validation.Validation,buildDefaultValidatorFactory,org.springframework.boot.SpringApplication,run" />
        </inspection_tool>
        <inspection_tool class="AutoTupling" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AwaitNotInLoop" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="AwaitWithoutCorrespondingSignal" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="BadOddness" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="BigDecimalEquals" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="BlockStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="BlockingOperatorInNonBlockingScope" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="BreakStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="BreakStatementWithLabelJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="BulkFileAttributesRead" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CallToNativeMethodWhileLocked" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CallToSimpleGetterInClass" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreGetterCallsOnOtherObjects" value="false" />
            <option name="onlyReportPrivateGetter" value="false" />
        </inspection_tool>
        <inspection_tool class="CallToSimpleSetterInClass" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreSetterCallsOnOtherObjects" value="false" />
            <option name="onlyReportPrivateSetter" value="false" />
        </inspection_tool>
        <inspection_tool class="CallToStringConcatCanBeReplacedByOperator" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CastConflictsWithInstanceof" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CastDueToProgressionResolutionChangeMigration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CastThatLosesPrecision" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreIntegerCharCasts" value="false" />
            <option name="ignoreOverflowingByteCasts" value="false" />
        </inspection_tool>
        <inspection_tool class="CastToIncompatibleInterface" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ChainedEquality" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ChainedEqualityJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ChainedFunctionCallJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ChannelResource" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="insideTryAllowed" value="false" />
        </inspection_tool>
        <inspection_tool class="CharUsedInArithmeticContext" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ClashingGetters" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ClassCanBeRecord" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ClassMayBeInterface" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ClassNameDiffersFromFileName" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ClassNestingDepth" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="1" />
        </inspection_tool>
        <inspection_tool class="ClassNewInstance" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ClassReferencesSubclass" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ClassWithMultipleLoggers" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="loggerNamesString" value="java.util.logging.Logger,org.slf4j.Logger,org.apache.commons.logging.Log,org.apache.log4j.Logger,org.apache.logging.log4j.Logger" />
        </inspection_tool>
        <inspection_tool class="ClassWithOnlyPrivateConstructors" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CloneCallsConstructors" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CloneInNonCloneableClass" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CloneReturnsClassType" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CloneableImplementsClone" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreCloneableDueToInheritance" value="false" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.AbcMetric" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.BracesForTryCatchFinally" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="catchOnSameLineAsClosingBrace" value="true" />
            <option name="catchOnSameLineAsOpeningBrace" value="true" />
            <option name="finallyOnSameLineAsClosingBrace" value="true" />
            <option name="finallyOnSameLineAsOpeningBrace" value="true" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.BuilderMethodWithSideEffects" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.CatchException" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.ClassEndsWithBlankLine" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.ClassJavadoc" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.ClassSize" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.ClassStartsWithBlankLine" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.CompileStatic" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification" />
            <option name="doNotApplyToFileNames" value="*.gradle" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.CrapMetric" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.CyclomaticComplexity" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.DuplicateListLiteral" enabled="false" level="WEAK WARNING" enabled_by_default="false">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.DuplicateMapLiteral" enabled="true" level="WEAK WARNING" enabled_by_default="true">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification,*SpecIT" />
            <option name="doNotApplyToFilesMatching" value=".*(Spec|Test|Tests|TestCase|SpecIT)\.groovy" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.DuplicateNumberLiteral" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification,*SpecIT" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.DuplicateStringLiteral" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification,*SpecIT" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.FactoryMethodName" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.GStringExpressionWithinString" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.ImplicitClosureParameter" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.ImplicitReturnStatement" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.Indentation" enabled="false" level="WEAK WARNING" enabled_by_default="false">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.Instanceof" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="doNotApplyToFilesMatching" value=".*(Spec|Test|Tests|TestCase|SpecIT).groovy" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.JUnitPublicNonTestMethod" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.LineLength" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="length" value="160" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.MethodCount" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.MethodName" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="doNotApplyToClassNames" value="*Spec,*Specification" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.MethodReturnTypeRequired" enabled="false" level="WEAK WARNING" enabled_by_default="false">
            <option name="doNotApplyToFilesMatching" value=".*Controller\.groovy" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.MethodSize" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.MisorderedStaticImports" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.NestedBlockDepth" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.NoDef" enabled="false" level="WEAK WARNING" enabled_by_default="false">
            <option name="doNotApplyToFilesMatching" value=".*Controller\.groovy" />
        </inspection_tool>
        <inspection_tool class="CodeNarc.ParameterCount" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.PrivateFieldCouldBeFinal" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.SpaceAfterOpeningBrace" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.SpaceBeforeClosingBrace" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.SpaceBeforeOpeningBrace" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.StaticMethodsBeforeInstanceMethods" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.UnnecessaryBooleanExpression" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.UnnecessaryObjectReferences" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CodeNarc.UnusedArray" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CodeNarc.UnusedMethodParameter" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CodeNarc.UnusedObject" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CodeNarc.UnusedPrivateField" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CodeNarc.UnusedPrivateMethod" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CodeNarc.UnusedPrivateMethodParameter" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CodeNarc.UnusedVariable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CodeNarc.VariableTypeRequired" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="CollectionsFieldAccessReplaceableByMethodCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CollectionsMustHaveInitialCapacity" enabled="true" level="WARNING" enabled_by_default="true">
            <setting name="ignoreFields" value="true" />
        </inspection_tool>
        <inspection_tool class="ComparableImplementedButEqualsNotOverridden" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CompareToUsesNonFinalVariable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ComparingLength" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ComparisonOfShortAndChar" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ComposeMissingKeys" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ConcealedApplyCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConditionSignal" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConditionalExpressionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConditionalExpressionWithIdenticalBranchesJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConfusingElse" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="reportWhenNoStatementFollow" value="true" />
        </inspection_tool>
        <inspection_tool class="ConfusingFloatingPointLiteralJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConfusingPlusesOrMinusesJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConstantAssertCondition" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConstantExpression" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="ConstantJUnitAssertArgument" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConstantMathCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConstantOnLHSOfComparisonJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConstantOnRHSOfComparisonJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConstantOnWrongSideOfComparison" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="myConstantShouldGoLeft" value="false" />
        </inspection_tool>
        <inspection_tool class="ConstantTestNGAssertArgument" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConstructorCount" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreDeprecatedConstructors" value="false" />
            <option name="m_limit" value="5" />
        </inspection_tool>
        <inspection_tool class="ContinueStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ContinueStatementWithLabelJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConvertJavadoc" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConvertOldAnnotations" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ConvertToBasicLatin" enabled="false" level="INFORMATION" enabled_by_default="false" />
        <inspection_tool class="CovariantEquals" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CriteriaApiResolveInspection" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="CssBrowserCompatibilityForProperties" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CssConvertColorToHexInspection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CssConvertColorToRgbInspection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CssMissingSemicolon" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="CyclomaticComplexityJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="10" />
        </inspection_tool>
        <inspection_tool class="DateToString" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DebuggerStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DeclareCollectionAsInterface" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreLocalVariables" value="false" />
            <option name="ignorePrivateMethodsAndFields" value="false" />
        </inspection_tool>
        <inspection_tool class="DeclaringClassMigration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DefaultNotLastCaseInSwitch" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="DefaultNotLastCaseInSwitchJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="Destructure" enabled="true" level="INFO" enabled_by_default="true" />
        <inspection_tool class="DirectUseOfResultType" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="DivideByZeroJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DocumentWriteJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DoubleLiteralMayBeFloatLiteral" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DriverManagerGetConnection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DuplicateConditionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="DynamicallyGeneratedCodeJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="EditorConfigCharClassLetterRedundancy" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigCharClassRedundancy" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigDeprecatedDescriptor" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigEmptyHeader" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigEmptySection" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigEncoding" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigHeaderUniqueness" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigKeyCorrectness" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigListAcceptability" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigMissingRequiredDeclaration" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigNoMatchingFiles" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigNumerousWildcards" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigOptionRedundancy" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigPairAcceptability" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigPartialOverride" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigPatternEnumerationRedundancy" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigPatternRedundancy" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigReferenceCorrectness" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigRootDeclarationCorrectness" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigRootDeclarationUniqueness" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigShadowedOption" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigShadowingOption" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigSpaceInHeader" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigUnexpectedComma" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigUnusedDeclaration" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EditorConfigValueCorrectness" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigValueUniqueness" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="EditorConfigWildcardRedundancy" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="EmptyCatchBlockJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="EmptyClass" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignorableAnnotations">
                <value>
                    <item value="org.springframework.context.annotation.Configuration" />
                </value>
            </option>
            <option name="ignoreClassWithParameterization" value="false" />
            <option name="ignoreThrowables" value="true" />
            <option name="commentsAreContent" value="true" />
        </inspection_tool>
        <inspection_tool class="EmptyFinallyBlockJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="EmptyMethod" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="EXCLUDE_ANNOS">
                <value>
                    <list size="0" />
                </value>
            </option>
            <option name="commentsAreContent" value="true" />
        </inspection_tool>
        <inspection_tool class="EmptyTryBlockJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="EnumSwitchStatementWhichMissesCases" enabled="true" level="ERROR" enabled_by_default="true">
            <option name="ignoreSwitchStatementsWithDefault" value="true" />
        </inspection_tool>
        <inspection_tool class="EnumerationCanBeIteration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="EqualsAndHashcode" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="EqualsCalledOnEnumConstant" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="EqualsUsesNonFinalVariable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ErrorRethrown" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="Eslint" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ExpectedExceptionNeverThrown" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ExpectedExceptionNeverThrownTestNG" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ExtendsConcreteCollection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ExtendsThread" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ExtendsThrowable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="FieldAccessNotGuarded" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="FieldAccessedSynchronizedAndUnsynchronized" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="countGettersAndSetters" value="false" />
        </inspection_tool>
        <inspection_tool class="FieldCount" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_countConstantFields" value="false" />
            <option name="m_considerStaticFinalFieldsConstant" value="false" />
            <option name="myCountEnumConstants" value="false" />
            <option name="m_limit" value="15" />
        </inspection_tool>
        <inspection_tool class="FieldMayBeStatic" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="FilterSetContains" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="Finalize" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreTrivialFinalizers" value="true" />
        </inspection_tool>
        <inspection_tool class="FloatingPointEquality" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="FlowJSCoverage" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="FlowJSError" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ForLoopReplaceableByWhileJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreLoopsWithoutConditions" value="false" />
        </inspection_tool>
        <inspection_tool class="ForLoopThatDoesntUseLoopVariableJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="FromClosedRangeMigration" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="FunctionNamingConventionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_regex" value="[a-z][A-Za-z]*" />
            <option name="m_minLength" value="4" />
            <option name="m_maxLength" value="32" />
        </inspection_tool>
        <inspection_tool class="FunctionWithInconsistentReturnsJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="FunctionWithMultipleLoopsJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="FunctionWithMultipleReturnPointsJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GjsLint" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GrDeprecatedAPIUsage" enabled="true" level="INFORMATION" enabled_by_default="true" />
        <inspection_tool class="GrFinalVariableAccess" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="GrMethodMayBeStatic" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="myOnlyPrivateOrFinal" value="true" />
        </inspection_tool>
        <inspection_tool class="GradleKotlinxCoroutinesDeprecation" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="GroovyAssignmentToForLoopParameter" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyContinueOrBreakFromFinallyBlock" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyDuplicateSwitchBranch" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="GroovyEmptyFinallyBlock" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyEmptyTryBlock" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyListGetCanBeKeyedAccess" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyListSetCanBeKeyedAccess" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyMapGetCanBeKeyedAccess" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyMapPutCanBeKeyedAccess" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyNegatedConditional" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyNegatedIf" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyNestedConditional" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyNestedSwitch" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyPointlessArithmetic" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyRangeTypeCheck" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="GroovyUntypedAccess" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="HashCodeUsesNonFinalVariable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="HibernateResource" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="insideTryAllowed" value="false" />
        </inspection_tool>
        <inspection_tool class="HtmlNonExistentInternetResource" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="HtmlPresentationalElement" enabled="true" level="INFORMATION" enabled_by_default="true" />
        <inspection_tool class="HtmlRequiredSummaryAttribute" enabled="true" level="INFORMATION" enabled_by_default="true" />
        <inspection_tool class="HtmlRequiredTitleAttribute" enabled="true" level="INFORMATION" enabled_by_default="true" />
        <inspection_tool class="HtmlTagCanBeJavadocTag" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="IOResource" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoredTypesString" value="java.io.ByteArrayOutputStream,java.io.ByteArrayInputStream,java.io.StringBufferInputStream,java.io.CharArrayWriter,java.io.CharArrayReader,java.io.StringWriter,java.io.StringReader" />
            <option name="insideTryAllowed" value="false" />
        </inspection_tool>
        <inspection_tool class="IfCanBeAssertion" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="IfStatementWithIdenticalBranchesJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="IfStatementWithTooManyBranchesJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="3" />
        </inspection_tool>
        <inspection_tool class="ImplicitCallToSuper" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreForObjectSubclasses" value="true" />
        </inspection_tool>
        <inspection_tool class="IncompatibleAPI" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="IncompleteDestructuring" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InconsistentLineSeparators" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="IncrementDecrementResultUsedJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="IncrementDecrementUsedAsExpression" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InlineClassDeprecatedMigration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InnerClassReferencedViaSubclass" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InnerClassVariableHidesOuterClassVariable" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreInvisibleFields" value="true" />
        </inspection_tool>
        <inspection_tool class="InnerHTMLJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InstanceGuardedByStatic" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InstanceofCatchParameter" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InstanceofIncompatibleInterface" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InstanceofThis" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="IntLiteralMayBeLongLiteral" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="InterfaceNeverImplemented" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="ignoreInterfacesThatOnlyDeclareConstants" value="true" />
            <option name="ignorableAnnotations">
                <value>
                    <item value="org.springframework.cloud.openfeign.FeignClient" />
                    <item value="org.springframework.stereotype.Repository" />
                </value>
            </option>
        </inspection_tool>
        <inspection_tool class="IteratorNextDoesNotThrowNoSuchElementException" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JDBCResource" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="insideTryAllowed" value="false" />
        </inspection_tool>
        <inspection_tool class="JNDIResource" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="insideTryAllowed" value="false" />
        </inspection_tool>
        <inspection_tool class="JSClassNamingConvention" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JSConstructorReturnsPrimitive" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JSDeclarationsAtScopeStart" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="JSEqualityComparisonWithCoercion.TS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JSHint" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="JSLint" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="JSMissingSwitchBranches" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="JSNonStrictModeUsed" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JUnitDatapoint" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JUnitRule" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JUnitTestNG" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JavaLangImport" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="JavadocHtmlLint" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="JoinDeclarationAndAssignmentJava" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="Jscs" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="JspUnescapedEl" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="KDocMissingDocumentation" enabled="true" level="INFORMATION" enabled_by_default="true" />
        <inspection_tool class="KeySetIterationMayUseEntrySet" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="KotlinLoggerInitializedWithForeignClass" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="LabeledStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="LambdaBodyCanBeCodeBlock" enabled="false" level="INFORMATION" enabled_by_default="false" />
        <inspection_tool class="LambdaCanBeReplacedWithAnonymous" enabled="false" level="INFORMATION" enabled_by_default="false" />
        <inspection_tool class="LambdaParameterHidingMemberVariable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="LegacyStringFormatting" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="LengthOneStringInIndexOf" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ListenerMayUseAdapter" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="checkForEmptyMethods" value="true" />
        </inspection_tool>
        <inspection_tool class="LiteralAsArgToStringEquals" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="LocalCanBeFinal" enabled="true" level="INFORMATION" enabled_by_default="true">
            <option name="REPORT_VARIABLES" value="true" />
            <option name="REPORT_PARAMETERS" value="true" />
        </inspection_tool>
        <inspection_tool class="LocalVariableHidingMemberVariable" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreInvisibleFields" value="true" />
            <option name="m_ignoreStaticMethods" value="true" />
        </inspection_tool>
        <inspection_tool class="LocalVariableNamingConventionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_regex" value="[a-z][A-Za-z]*" />
            <option name="m_minLength" value="1" />
            <option name="m_maxLength" value="32" />
        </inspection_tool>
        <inspection_tool class="LoggingConditionDisagreesWithLogStatement" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="Lombok" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="MagicNumberJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MalformedSetUpTearDown" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MapGetOrElse" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MapReplaceableByEnumMap" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MarkdownIncorrectTableFormatting" enabled="false" level="WEAK WARNING" enabled_by_default="false" />
        <inspection_tool class="MavenCoroutinesDeprecation" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="MavenModelInspection" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="MethodCount" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="20" />
            <option name="ignoreGettersAndSetters" value="false" />
            <option name="ignoreOverridingMethods" value="false" />
        </inspection_tool>
        <inspection_tool class="MethodMayBeStatic" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_onlyPrivateOrFinal" value="true" />
            <option name="m_ignoreEmptyMethods" value="true" />
        </inspection_tool>
        <inspection_tool class="MethodMayBeSynchronized" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MethodOnlyUsedFromInnerClass" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreMethodsAccessedFromAnonymousClass" value="false" />
            <option name="ignoreStaticMethodsFromNonStaticInnerClass" value="false" />
            <option name="onlyReportStaticMethods" value="false" />
        </inspection_tool>
        <inspection_tool class="MethodRefCanBeReplacedWithLambda" enabled="false" level="INFORMATION" enabled_by_default="false" />
        <inspection_tool class="MigrateAssertToMatcherAssert" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MisorderedAssertEqualsArgumentsTestNG" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MisorderedAssertEqualsParameters" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="MissortedModifiers" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_requireAnnotationsFirst" value="true" />
        </inspection_tool>
        <inspection_tool class="MisspelledEquals" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NakedNotify" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NegatedConditionalExpressionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NegatedIfElse" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreNegatedNullComparison" value="true" />
            <option name="m_ignoreNegatedZeroComparison" value="true" />
        </inspection_tool>
        <inspection_tool class="NegatedIfStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestedAssignmentJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestedConditionalExpressionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestedFunctionCallJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestedFunctionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_includeAnonymousFunctions" value="false" />
        </inspection_tool>
        <inspection_tool class="NestedStatefulMonads" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestedSwitchStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestedSynchronizedStatement" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestedTryStatement" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NestingDepthJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="5" />
        </inspection_tool>
        <inspection_tool class="NoConstructorMigration" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="NonBlockStatementBodyJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonExhaustiveWhenStatementMigration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonFinalFieldInImmutable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonFinalGuard" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonNullableBooleanPropertyInExternalInterface" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonPublicClone" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonReproducibleMathCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonSerializableWithSerialVersionUIDField" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonShortCircuitBoolean" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NonStaticFinalLogger" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="loggerClassName" value="java.util.logging.Logger,org.slf4j.Logger,org.apache.commons.logging.Log,org.apache.log4j.Logger,org.apache.logging.log4j.Logger" />
        </inspection_tool>
        <inspection_tool class="NonSynchronizedMethodOverridesSynchronizedMethod" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NotifyCalledOnCondition" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NotifyWithoutCorrespondingWait" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="NullableProblems" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="REPORT_NULLABLE_METHOD_OVERRIDES_NOTNULL" value="true" />
            <option name="REPORT_NOT_ANNOTATED_METHOD_OVERRIDES_NOTNULL" value="true" />
            <option name="REPORT_NOTNULL_PARAMETER_OVERRIDES_NULLABLE" value="true" />
            <option name="REPORT_NOT_ANNOTATED_PARAMETER_OVERRIDES_NOTNULL" value="true" />
            <option name="REPORT_NOT_ANNOTATED_GETTER" value="true" />
            <option name="REPORT_NOT_ANNOTATED_SETTER_PARAMETER" value="true" />
            <option name="REPORT_ANNOTATION_NOT_PROPAGATED_TO_OVERRIDERS" value="true" />
            <option name="REPORT_NULLS_PASSED_TO_NON_ANNOTATED_METHOD" value="true" />
        </inspection_tool>
        <inspection_tool class="NumericToString" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ObjectAllocationIgnoredJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ObjectEquality" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreEnums" value="true" />
            <option name="m_ignoreClassObjects" value="true" />
            <option name="m_ignorePrivateConstructors" value="false" />
        </inspection_tool>
        <inspection_tool class="ObjectInstantiationInEqualsHashCode" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ObjectNotify" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ObjectToString" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ObsoleteCollection" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreRequiredObsoleteCollectionTypes" value="true" />
        </inspection_tool>
        <inspection_tool class="ObsoleteExperimentalCoroutines" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ObsoleteKotlinJsPackages" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="OptionalContainsCollection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="OptionalUsedAsFieldOrParameterType" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="OverlyComplexArithmeticExpressionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="6" />
        </inspection_tool>
        <inspection_tool class="OverlyComplexBooleanExpressionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="3" />
        </inspection_tool>
        <inspection_tool class="OverrideDeprecatedMigration" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ParameterNamingConventionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_regex" value="[a-z][A-Za-z]*" />
            <option name="m_minLength" value="1" />
            <option name="m_maxLength" value="32" />
        </inspection_tool>
        <inspection_tool class="ParameterizedParametersStaticCollection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ParametersPerFunctionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="5" />
        </inspection_tool>
        <inspection_tool class="PlatformDetectionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="PluginXmlDynamicPlugin" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="PluginXmlI18n" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="PointlessBitwiseExpressionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreExpressionsContainingConstants" value="false" />
        </inspection_tool>
        <inspection_tool class="PostfixMethodCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ProcedureDeclaration" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ProcedureDefinition" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ProhibitJvmOverloadsOnConstructorsOfAnnotationClassesMigration" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ProhibitRepeatedUseSiteTargetAnnotationsMigration" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ProhibitTypeParametersForLocalVariablesMigration" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ProhibitUseSiteTargetAnnotationsOnSuperTypesMigration" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="PublicApiImplicitType" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="PublicFieldAccessedInSynchronizedContext" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="PyArgumentEqualDefaultInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="PyAugmentAssignmentInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="PyCompatibilityInspection" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ourVersions">
                <value>
                    <list size="3">
                        <item index="0" class="java.lang.String" itemvalue="3.12" />
                        <item index="1" class="java.lang.String" itemvalue="3.11" />
                        <item index="2" class="java.lang.String" itemvalue="3.10" />
                    </list>
                </value>
            </option>
        </inspection_tool>
        <inspection_tool class="PyMissingTypeHintsInspection" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="RandomDoubleForRandomInteger" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="RawTypeCanBeGeneric" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="RedundantFieldInitialization" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="RedundantImplements" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreSerializable" value="false" />
            <option name="ignoreCloneable" value="false" />
        </inspection_tool>
        <inspection_tool class="RedundantInnerClassModifier" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="RedundantLabelMigration" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="RedundantModifiersValueLombok" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="RedundantNotNullExtensionReceiverOfInline" enabled="true" level="INFORMATION" enabled_by_default="true" />
        <inspection_tool class="RedundantValueArgument" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="Reformat" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="RegExpAnonymousGroup" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="RelativeImport" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ReplaceAssignmentWithOperatorAssignment" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreLazyOperators" value="true" />
            <option name="ignoreObscureOperators" value="false" />
        </inspection_tool>
        <inspection_tool class="ReplaceAssignmentWithOperatorAssignmentJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ReplaceCollectionCountWithSize" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="ReplaceNotNullAssertionWithElvisReturn" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="RestrictReturnStatementTargetMigration" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="ResultOfObjectAllocationIgnored" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ResultSetIndexZero" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ReturnNull" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_reportObjectMethods" value="true" />
            <option name="m_reportArrayMethods" value="true" />
            <option name="m_reportCollectionMethods" value="true" />
            <option name="m_ignorePrivateMethods" value="false" />
        </inspection_tool>
        <inspection_tool class="ReturnSeparatedFromComputation" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ReuseOfLocalVariable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ReuseOfLocalVariableJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="RsExperimentalChecks" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="RsVariableMutable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SafeLock" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SamePackageImport" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SameReturnValue" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="SerializableCtor" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SetReplaceableByEnumSet" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SharedThreadLocalRandom" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SideEffectsInMonadicTransformation" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SignalWithoutCorrespondingAwait" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SimplifiableAnnotation" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SimplifiableEqualsExpression" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SimplifiableIfStatement" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SingleElementAnnotation" enabled="false" level="INFORMATION" enabled_by_default="false" />
        <inspection_tool class="SingleStatementInBlock" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="SizeReplaceableByIsEmpty" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SleepWhileHoldingLock" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SocketResource" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="insideTryAllowed" value="false" />
        </inspection_tool>
        <inspection_tool class="SomeToOption" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SpellCheckingInspection" enabled="false" level="TYPO" enabled_by_default="false">
            <option name="processCode" value="true" />
            <option name="processLiterals" value="true" />
            <option name="processComments" value="true" />
        </inspection_tool>
        <inspection_tool class="SpringDataMethodInconsistencyInspection" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="SpringJavaAutowiredFieldsWarningInspection" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="SqlGotoInspection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SqlMissingColumnAliasesInspection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SqlNamedArgumentsInspection" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StandardJS" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="StatementsPerFunctionJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_limit" value="30" />
        </inspection_tool>
        <inspection_tool class="StaticGuardedByInstance" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StaticNonFinalField" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StreamToLoop" enabled="false" level="INFORMATION" enabled_by_default="false" />
        <inspection_tool class="StringBufferMustHaveInitialCapacity" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringBufferToStringInConcatenation" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringConcatenationArgumentToLogCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringConcatenationInFormatCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringConcatenationInMessageFormatCall" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringConcatenationMissingWhitespace" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringEqualsEmptyString" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringLiteralBreaksHTMLJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="StringReplaceableByStringBuffer" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="onlyWarnOnLoop" value="true" />
        </inspection_tool>
        <inspection_tool class="StringToUpperWithoutLocale" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="Stylelint" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="SubtractionInCompareTo" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SuperTearDownInFinally" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SuspiciousArrayCast" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SuspiciousLiteralUnderscore" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SuspiciousLocalesLanguages" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SynchronizationOnStaticField" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SynchronizeOnLock" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SynchronizeOnThis" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SynchronizedMethod" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_includeNativeMethods" value="true" />
            <option name="ignoreSynchronizedSuperMethods" value="true" />
        </inspection_tool>
        <inspection_tool class="SynchronizedOnLiteralObject" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="SyntaxError" enabled="false" level="ERROR" enabled_by_default="false" />
        <inspection_tool class="SystemOutErr" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="TailRecursionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="TestCaseInProductCode" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="TestCaseWithNoTestMethods" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreSupers" value="true" />
        </inspection_tool>
        <inspection_tool class="TestMethodInProductCode" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="TestMethodWithoutAssertion" enabled="false" level="WARNING" enabled_by_default="false">
            <option name="assertKeywordIsAssertion" value="true" />
        </inspection_tool>
        <inspection_tool class="TestOnlyProblems" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="TextLabelInSwitchStatementJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThreadDumpStack" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThreadLocalNotStaticFinal" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThreadPriority" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThreadStartInConstruction" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThreadStopSuspendResume" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThreadYield" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThreeNegationsPerFunctionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThrowablePrintStackTrace" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="ThrowsRuntimeException" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="TimeToString" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="TooBroadScope" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_allowConstructorAsInitializer" value="false" />
            <option name="m_onlyLookAtBlocks" value="false" />
        </inspection_tool>
        <inspection_tool class="TsLint" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UNUSED_IMPORT" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="UnassignedFluxMonoInstance" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnclearBinaryExpression" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="UnconditionalWait" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UndeclaredTests" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnitMethodDeclaredWithTypeAnnotation" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnitMethodDefinedLikeFunction" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnitMethodDefinedWithEqualsSign" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnknownGuard" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnnecessarilyQualifiedInnerClassAccess" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreReferencesNeedingImport" value="true" />
        </inspection_tool>
        <inspection_tool class="UnnecessarilyQualifiedStaticUsage" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreStaticFieldAccesses" value="false" />
            <option name="m_ignoreStaticMethodCalls" value="false" />
            <option name="m_ignoreStaticAccessFromStaticContext" value="false" />
        </inspection_tool>
        <inspection_tool class="UnnecessarilyQualifiedStaticallyImportedElement" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnnecessaryConstantArrayCreationExpression" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnnecessaryConstructor" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnnecessaryExplicitNumericCast" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnnecessaryFullyQualifiedName" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreJavadoc" value="false" />
            <option name="ignoreInModuleStatements" value="true" />
        </inspection_tool>
        <inspection_tool class="UnnecessaryInheritDoc" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnnecessaryJavaDocLink" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreInlineLinkToSuper" value="false" />
        </inspection_tool>
        <inspection_tool class="UnnecessaryModuleDependencyInspection" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="UnnecessaryQualifiedReference" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="UnnecessaryQualifierForThis" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnnecessarySuperQualifier" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnstableTypeUsedInSignature" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnterminatedStatementJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignoreSemicolonAtEndOfBlock" value="true" />
        </inspection_tool>
        <inspection_tool class="UnusedCatchParameterJS" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="m_ignoreCatchBlocksWithComments" value="false" />
        </inspection_tool>
        <inspection_tool class="UnusedDefine" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UnusedMainParameter" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="UnusedProperty" enabled="false" level="WARNING" enabled_by_default="false" />
        <inspection_tool class="UpperCaseFieldNameNotConstant" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UseCouple" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UseExpressionBody" enabled="true" level="ERROR" enabled_by_default="true" />
        <inspection_tool class="UseOfClone" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UseOfObsoleteAssert" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UseOfObsoleteDateTimeApi" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UseOfPropertiesAsHashtable" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UtilityClassWithPublicConstructor" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="UtilityClassWithoutPrivateConstructor" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="ignorableAnnotations">
                <value>
                    <item value="org.springframework.context.annotation.Configuration" />
                    <item value="org.springframework.scheduling.annotation.EnableScheduling" />
                    <item value="org.springframework.boot.autoconfigure.SpringBootApplication" />
                </value>
            </option>
            <option name="ignoreClassesWithOnlyMain" value="false" />
        </inspection_tool>
        <inspection_tool class="VariableNotUsedInsideIf" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="VariablePatternShadow" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="VoidExpressionJS" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="VolatileArrayField" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="W3CssValidation" enabled="true" level="WARNING" enabled_by_default="true">
            <option name="myCssVersion" value="css3svg" />
            <option name="myIgnoreVendorSpecificProperties" value="false" />
        </inspection_tool>
        <inspection_tool class="WaitCalledOnCondition" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="WaitNotInLoop" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="WaitNotifyNotInSynchronizedContext" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="WaitOrAwaitWithoutTimeout" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="WaitWithoutCorrespondingNotify" enabled="true" level="WARNING" enabled_by_default="true" />
        <inspection_tool class="WarningOnMainUnusedParameterMigration" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="WhenWithOnlyElse" enabled="true" level="WEAK WARNING" enabled_by_default="true" />
        <inspection_tool class="XHTMLIncompatabilitiesJS" enabled="true" level="WARNING" enabled_by_default="true" />
    </profile>
</component>